import { FoundationElement } from '@ni/fast-foundation';
import { StepperOrientation } from './types';
import type { StepPattern } from '../patterns/step/types';
declare global {
    interface HTMLElementTagNameMap {
        'nimble-stepper': Stepper;
    }
}
/**
 * A nimble-styled stepper
 */
export declare class Stepper extends FoundationElement {
    orientation: StepperOrientation;
    /** @internal */
    showScrollButtons: boolean;
    /** @internal */
    steps?: (StepPattern)[];
    /** @internal */
    list: HTMLElement;
    /** @internal */
    readonly startScrollButton?: HTMLElement;
    private listIntersectionObserver?;
    /** @internal */
    onScrollStartClick(): void;
    /** @internal */
    onScrollEndClick(): void;
    /** @internal */
    connectedCallback(): void;
    /** @internal */
    disconnectedCallback(): void;
    /** @internal */
    isHorizontal(): boolean;
    private orientationChanged;
    private stepsChanged;
    private updateStepInternals;
    private handleListOverflow;
}
export declare const stepperTag = "nimble-stepper";
